Skip to content

Peergroup Top Reason Codes.

POST
/api/shape/bot/reporting/peers/top-reason-codes
curl --request POST \
--url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/shape/bot/reporting/peers/top-reason-codes \
--header 'Authorization: <Authorization>' \
--header 'Content-Type: application/json' \
--data '{ "end_time": "2026-04-15T12:00:00Z", "limit": 1, "rank_by": "example", "start_time": "2026-04-15T12:00:00Z" }'

GET Top Reason Codes.

Examples of this operation.

Media typeapplication/json
PeerGroupRequest

Request for Shape Bot Defense Peer Group Peer Benchmarking.

object
end_time
End time

End time of the query period

Required: YES.

string format: date-time
<= 1024 characters
limit
Limit

Limits the number of transactions returned in the response Optional: If not specified (with default value 0), all transactions that match the query will be returned in the response.

integer format: int64
rank_by
Rankby

Rank by self or peer Required: YES.

string
<= 1024 characters
start_time
Start time

Start time of the query period

Required: YES.

string format: date-time
<= 1024 characters
Examplegenerated
{
"end_time": "2026-04-15T12:00:00Z",
"limit": 1,
"rank_by": "example",
"start_time": "2026-04-15T12:00:00Z"
}

A successful response.

Media typeapplication/json
Peer Group Response

The Response contains the total and detail of the Peer Group data.

object
details
Response for Peer Group Peer Benchmarking

Configuration parameter for details

Array<object>
Peer Group Data
object
name
Item Name

The Name of Item.

string
>= 6 characters <= 1024 characters
peer_count
Peer Count

The count of Peer of the Item.

string format: uint64
<= 1024 characters
peer_percentage
Peer Percentage

The Peer Percentage of the Item.

number format: double
self_count
Self Count

The count of Self of the item.

string format: uint64
<= 1024 characters
self_percentage
Self Percentage

The Self Percentage of the Item.

number format: double
Examplegenerated
{
"details": [
{
"name": "example",
"peer_count": "example",
"peer_percentage": 1,
"self_count": "example",
"self_percentage": 1
}
]
}

Returned when operation is not authorized.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when there is no permission to access resource.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when resource is not found.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation on resource is conflicting with current value.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation has been rejected as it is happening too frequently.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server encountered an error in processing API.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when service is unavailable temporarily.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server timed out processing request.

Media typeapplication/json
string format: string
Examplegenerated
example